//
//  SkillCategory.m
//  ArmorP3V1
//

#import "SkillCategory.h"
#import "PSMutex.h"

@implementation SkillCategory

@synthesize name = _name;
@synthesize listPoint = _listPoint;

-(id)init {
    self = [super init];
    if (self) {
        _listPoint = [[NSMutableArray alloc]init];
    }else {
        [[PSMutex mainMutex] raiseMemoryError];
    }
    [[PSMutex mainMutex] showMemoryAlertIfError];
    return self;
}

-(void)dealloc {
    [_name release];
    [_listPoint release];
    [super dealloc];
}

-(int)count {
    return _listPoint.count;
}

-(id)pointAtIndex:(int)x {
    return [_listPoint objectAtIndex:x];
}

@end
